BEAGLE(8)

NAME
beagle-build-index

SYNOPSIS
beagle-build-index [options] <index_path> <path> [path path path]

DESCRIPTION

beagle-build-index, is a tool designed for building static indexes outside of the Beagle daemon.

Running beagle-build-index by hand is of use for those wishing to create and build static indexes used by the Beagle daemon. The static indexes can be helpful in many cases but most notably used as system-wide indexes shared by all users, and as a way for system-administrators to run indexing on a central server in a network environment.

beagle-build-index will index the data specified by the path arguments and create an index in the index_path directory. If a suitable index is found in the index directory, it will automatically append data to the index if the file at hand has been modified since it was last indexed. If it can't find a suitable index (non-existant or version-mismatch) is will purge the directory recursively.

The beagle-build-index tool is not intended to be invoked by the standard user.

OPTIONS
beagle-build-index takes the following options

--recursive
    If specified, do recursive crawling on the paths specified

--debug
    If specified, echo verbose debugging information

--cache-text
    If specified, build text-cache of documents used for snippets

--allow-pattern [pattern]
    Only allow files that match the pattern to be indexed.

--deny-pattern [pattern]
    Keep any files that match the pattern from being indexed.

--remap [path1:path2]
    If specified, remap the target path by prefix. path1 will be replaced with path2. This option is intended to be used when generating pre-built indexes, where the final path will be differ from the current one.

AUTHOR
Novell, Inc.

REPORTING BUGS
Report bugs to <dashboard-hackers@gnome.org>.

COPYRIGHT
Copyright © 2005 Novell, Inc.

This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

SEE ALSO
beagled(1), beagle-manage-index(8)